using System;

namespace sume_v2
{
	class Program
	{
		static int sum(int pocetak, int kraj, int[] t)
		{
			int ret = 0;
			for (int i = pocetak; i <= kraj; i++)
			{
				ret += t[i];
			}
			return ret;
		}
		static int fun(int pocetak, int kraj, int[] t, int k)
		{
			if (k == 0)
			{
				return sum(pocetak, kraj, t);
			}
			else
			{
				int zbir = 0;
				for(int i = pocetak; i <= kraj; i++)
				{
					for(int j = i; j <= kraj; j++)
					{
						zbir += fun(i, j, t, k - 1);
					}
				}
				return zbir;
			}
		}
		static void Main(string[] args)
		{
			string[] input = Console.ReadLine().Split();
			int N = int.Parse(input[0]);
			int k = int.Parse(input[1]);
			int[] a = new int[N];
			input = Console.ReadLine().Split();
			for (int i = 0; i < N; i++)
			{
				a[i] = int.Parse(input[i]);
			}
			Console.WriteLine(fun(0, N - 1, a, k));
		}
	}
}